NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.AssociativeArcBuilder Class Reference

Represents a NXOpen.Features.AssociativeArc builder More...

Inheritance diagram for NXOpen.Features.AssociativeArcBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CenterReference { Wcs, Absolute, CordinatesSystem }
 Represents references for center point More...
 
enum  EndOption {
  Inferred, Point, Tangent, Radius,
  Diameter
}
 Represents end point options type More...
 
enum  EndReference { Wcs, Absolute, CordinatesSystem }
 Represents references for end point More...
 
enum  MidOption {
  Inferred, Point, Tangent, Radius,
  Diameter
}
 Represents mid point options type More...
 
enum  MidReference { Wcs, Absolute, CordinatesSystem }
 Represents references for mid point More...
 
enum  StartOption { Inferred, Point, Tangent }
 Represents start point options type More...
 
enum  StartReference { Wcs, Absolute, CordinatesSystem }
 Represents references for start point More...
 
enum  Types { ThreePointArc, ArcFromCenter }
 Represents arc type. More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets the associative More...
 
unsafe NXOpen.SelectPoint CenterPoint [get]
 Returns the center point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.CenterReference 
CenterPointReference [get, set]
 Returns or sets the center point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
CenterPointReferenceCsys [get]
 Returns the center point reference coordinate system More...
 
unsafe NXOpen.Vector3d CenterRadiusLockedPlaneDirection [get, set]
 Returns or sets the plane direction for arc type center radius when lock status is NXOpen.GeometricUtilities.SupportPlaneData.LockPlaneStatus.CenterPointDirection More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter of arc More...
 
unsafe NXOpen.SelectObject EndInferredConstraint [get]
 Returns the end inferred constraint More...
 
unsafe NXOpen.SelectPoint EndPoint [get]
 Returns the end point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.EndOption 
EndPointOptions [get, set]
 Returns or sets the end point options More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.EndReference 
EndPointReference [get, set]
 Returns or sets the end point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
EndReferenceCsys [get]
 Returns the end reference coordinate system More...
 
unsafe
NXOpen.SelectDisplayableObject 
EndTangent [get]
 Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe
NXOpen.GeometricUtilities.CurveLimitsData 
Limits [get]
 Returns the limits More...
 
unsafe NXOpen.SelectObject MidInferredConstraint [get]
 Returns the mid inferred constraint More...
 
unsafe NXOpen.SelectPoint MidPoint [get]
 Returns the mid point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.MidOption 
MidPointOptions [get, set]
 Returns or sets the mid point options More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.MidReference 
MidPointReference [get, set]
 Returns or sets the mid point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
MidReferenceCsys [get]
 Returns the mid reference coordinate system More...
 
unsafe
NXOpen.SelectDisplayableObject 
MidTangent [get]
 Returns the mid tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius of arc More...
 
unsafe NXOpen.SelectObject StartInferredConstraint [get]
 Returns the start inferred constraint More...
 
unsafe NXOpen.SelectPoint StartPoint [get]
 Returns the start point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.StartOption 
StartPointOptions [get, set]
 Returns or sets the start point options More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.StartReference 
StartPointReference [get, set]
 Returns or sets the start point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
StartReferenceCsys [get]
 Returns the start reference coordinate system More...
 
unsafe
NXOpen.SelectDisplayableObject 
StartTangent [get]
 Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe
NXOpen.GeometricUtilities.SupportPlaneData 
SupportPlaneData [get]
 Returns the support plane data More...
 
unsafe
NXOpen.Features.AssociativeArcBuilder.Types 
Type [get, set]
 Returns or sets the type option More...
 
unsafe NXOpen.Point3d ZonePoint [get, set]
 Returns or sets the zone point is required when arc has multiple solutions in following conditions: 1. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AssociativeArc builder

To create a new instance of this class, use NXOpen.Features.BaseFeatureCollection.CreateAssociativeArcBuilder

Default values.

Property Value

Associative

True

Limits.EndLimit.LimitOption

AtPoint

SupportPlaneData.SupportPlaneLockStatus

No

Created in NX5.0.0

Member Enumeration Documentation

Represents references for center point

Enumerator
Wcs 

WCS

Absolute 

Absolute CSYS

CordinatesSystem 

CSYS

Represents end point options type

Enumerator
Inferred 

Inferred

Point 

Point

Tangent 

Tangent

Radius 

Radius

Diameter 

Diameter

Represents references for end point

Enumerator
Wcs 

WCS

Absolute 

Absolute CSYS

CordinatesSystem 

CSYS

Represents mid point options type

Enumerator
Inferred 

Inferred

Point 

Point

Tangent 

Tangent

Radius 

Radius

Diameter 

Diameter

Represents references for mid point

Enumerator
Wcs 

WCS

Absolute 

Absolute CSYS

CordinatesSystem 

CSYS

Represents start point options type

Enumerator
Inferred 

Inferred

Point 

Point

Tangent 

Tangent

Represents references for start point

Enumerator
Wcs 

WCS

Absolute 

Absolute CSYS

CordinatesSystem 

CSYS

Represents arc type.

Enumerator
ThreePointArc 

Three point arc

ArcFromCenter 

Arc from center

Property Documentation

unsafe bool NXOpen.Features.AssociativeArcBuilder.Associative
getset

Returns or sets the associative

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeArcBuilder.CenterPoint
get

Returns the center point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeArcBuilder.CenterReference NXOpen.Features.AssociativeArcBuilder.CenterPointReference
getset

Returns or sets the center point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeArcBuilder.CenterPointReferenceCsys
get

Returns the center point reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Vector3d NXOpen.Features.AssociativeArcBuilder.CenterRadiusLockedPlaneDirection
getset

Returns or sets the plane direction for arc type center radius when lock status is NXOpen.GeometricUtilities.SupportPlaneData.LockPlaneStatus.CenterPointDirection

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.Features.AssociativeArcBuilder.Diameter
get

Returns the diameter of arc

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.AssociativeArcBuilder.EndInferredConstraint
get

Returns the end inferred constraint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeArcBuilder.EndPoint
get

Returns the end point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeArcBuilder.EndOption NXOpen.Features.AssociativeArcBuilder.EndPointOptions
getset

Returns or sets the end point options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AssociativeArcBuilder.EndReference NXOpen.Features.AssociativeArcBuilder.EndPointReference
getset

Returns or sets the end point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeArcBuilder.EndReferenceCsys
get

Returns the end reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeArcBuilder.EndTangent
get

Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveLimitsData NXOpen.Features.AssociativeArcBuilder.Limits
get

Returns the limits

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.AssociativeArcBuilder.MidInferredConstraint
get

Returns the mid inferred constraint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeArcBuilder.MidPoint
get

Returns the mid point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeArcBuilder.MidOption NXOpen.Features.AssociativeArcBuilder.MidPointOptions
getset

Returns or sets the mid point options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AssociativeArcBuilder.MidReference NXOpen.Features.AssociativeArcBuilder.MidPointReference
getset

Returns or sets the mid point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeArcBuilder.MidReferenceCsys
get

Returns the mid reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeArcBuilder.MidTangent
get

Returns the mid tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AssociativeArcBuilder.Radius
get

Returns the radius of arc

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.AssociativeArcBuilder.StartInferredConstraint
get

Returns the start inferred constraint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeArcBuilder.StartPoint
get

Returns the start point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeArcBuilder.StartOption NXOpen.Features.AssociativeArcBuilder.StartPointOptions
getset

Returns or sets the start point options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AssociativeArcBuilder.StartReference NXOpen.Features.AssociativeArcBuilder.StartPointReference
getset

Returns or sets the start point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeArcBuilder.StartReferenceCsys
get

Returns the start reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeArcBuilder.StartTangent
get

Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.SupportPlaneData NXOpen.Features.AssociativeArcBuilder.SupportPlaneData
get

Returns the support plane data

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeArcBuilder.Types NXOpen.Features.AssociativeArcBuilder.Type
getset

Returns or sets the type option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.Features.AssociativeArcBuilder.ZonePoint
getset

Returns or sets the zone point is required when arc has multiple solutions in following conditions: 1.

Arc is defined with a radius constraint. 2. Arc is defined with two identical point constraints. 3. Arc is defined with the middle constraint as tangent constraint.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.